Fedora Core 3 : libc-client-2002e-13 (2005-1112)

High Nessus Plugin ID 20287


The remote Fedora Core host is missing a security update.


The c-client library provides an API which allows applications to access and manipulate remote mail boxes.

The library contains a bug in its mail_valid_net_parse() function. If an application allows untrusted input to be supplied to this function, its stack may become corrupted. This update backports the fix from imap-2004g which resolves this issue.

Note that Tenable Network Security has extracted the preceding description block directly from the Fedora security advisory. Tenable has attempted to automatically clean and format it as much as possible without introducing additional issues.


Update the affected libc-client, libc-client-debuginfo and / or libc-client-devel packages.

See Also


Plugin Details

Severity: High

ID: 20287

File Name: fedora_2005-1112.nasl

Version: $Revision: 1.11 $

Type: local

Agent: unix

Published: 2005/12/11

Modified: 2015/10/21

Dependencies: 12634

Risk Information

Risk Factor: High

Vulnerability Information

CPE: p-cpe:/a:fedoraproject:fedora:libc-client, p-cpe:/a:fedoraproject:fedora:libc-client-debuginfo, p-cpe:/a:fedoraproject:fedora:libc-client-devel, cpe:/o:fedoraproject:fedora_core:3

Required KB Items: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list

Patch Publication Date: 2005/12/08

Reference Information

FEDORA: 2005-1112